# Industrial IoT Starter Kit

# Initial Start-Up Guide

## Table of Content

1. [System Prerequisites](prerequisites.md#system-prerequisites)
    - [Compatibility](prerequisites.md#compatibility)
    - [Known Issues](prerequisites.md#known-issues)
2. [Amazon Web Services (AWS)](docker_aws_greengrass.md#aws)
    - [Prerequisites](docker_aws_greengrass.md#prerequisites) 
    - [How to get an Amazon AWS Account](docker_aws_greengrass.md#how-to-get-an-amazon-aws-account)
    - [Running AWS IoT Greengrass in Docker](docker_aws_greengrass.md#running-aws-iot-greengrass-in-docker)
    - [Official AWS Documentation](docker_aws_greengrass.md#official-aws-documentation)
    - [Simplified Execution](docker_aws_greengrass.md#simplified-execution)
    - [Further AWS Reference](docker_aws_greengrass.md#further-aws-reference)
3. [Microsoft Azure](azure.md#azure)
    - [How to get an Microsoft Azure Account](azure.md#how-to-get-an-microsoft-azure-account)
    - [How to Deploy an Instance of Azure IoT Connected Factory](azure.md#how-to-deploy-an-instance-of-azure-iot-connected-factory-pre-configured-solution)
    - [Further Azure Reference](azure.md#further-azure-reference)
4. [IISK Configuration](iisk_configuration.md#iisk-configuration)
    - [Initial Windows Setup](iisk_configuration.md#initial-windows-setup)
    - [Basic Configuration of dataFEED OPC Suite](iisk_configuration.md#basic-configuration-of-the-datafeed-opc-suite)
    - [Start and Configure Docker for Windows](iisk_configuration.md#start-and-configure-docker-for-windows)
5. [Troubleshooting/Help](troubleshooting.md#troubleshooting)
    - [Where to Find the IoT-Hub Connection String](troubleshooting.md#where-to-find-the-iot-hub-owner-connection-string)
    - [Verify Local OPC UA Access with Certificates to dataFEED OPC Suite via OPC UA Client](troubleshooting.md#verify-local-opc-ua-access-with-certificates-to-datafeed-opc-suite-with-opc-ua-client)
    - [Reset Docker to Default](troubleshooting.md#reset-docker-to-default)
6. [Alternative: Use MQTT Publisher of dataFEED Suite](dataFEED-OPCSuite-Azure-MQTT-Configuration.md)

