Device Explorer
===============

You can download the latest version of the Device Explorer tool from [github](https://github.com/Azure/azure-iot-sdk-csharp/releases/download/2018-3-13/SetupDeviceExplorer.msi)

Connect Device Explorer to IoT Hub
----------------------------------

<img src="media/image1.png" width="624" height="364" />

Get the connection string (“Connection string – primary key” field) of the from the IoT Hub Configuration.

And copy it to the Device Explorer application into the “IoT Hub Connection String” field. Afterwards press the “Update” button.

<img src="media/image2.png" width="411" height="301" />

Create MQTT connection
======================

Azure IoT Hub
-------------

### Create a device in the IoT Hub.

<img src="media/image3.png" width="624" height="364" />

Choose a unique Device ID (maximum 23 characters) and leave all other settings to the default.

Device Explorer
---------------

### Create SAS for the device

<img src="media/image4.png" width="469" height="343" />

Select in the Device Explorer application on the “Management” page the IoT Hub Device.
Press the “SAS Token…” button.
Set the “TTL (Days)” field to 365 (a year) or how long the SAS should be valid. Press the “Generate” button in the opened dialog.
Copy the generated String for later use.

dataFEED OPC Suite
------------------

### Create MQTT Broker Connection

Add “MQTT Broker” connection on the “Data Destination”

<img src="media/image5.png" width="482" height="330" />

Specify a connection name and specify the Device ID of the created Azure IoT Hub device to the Client ID. Keep in mind that the client id should contain only small letters.

<img src="media/image6.png" width="482" height="330" />

Set the “MQTT Broker URI” to `ssl://<IoT Hub Name>.azure-devices.net:8883`.

Change the “Authentication Settings” to:
“User Identity” = “User Name and password”
“User Name” = &lt;IoT Hub Name&gt;/&lt;Device ID&gt;
“Password” = The part of the SAS Token after “SharedAccessSignature=” (e.g. SharedAccessSignature sr=Softing-IoT-Hub-SalesDemo.azure-devices.net…)

Press the button in the “Connection Test” area to verify the connection.

<img src="media/image7.png" width="516" height="353" />

Add the following topic hierarchy as Nodes:

devices - &lt;Device ID&gt; - messages - events

Below “events” add the topics for the data you want to send.

<img src="media/image8.png" width="481" height="429" />

You can specify the format of the publish string. Try to use a json payload like {"@ITEMID@":"@VALUE@"} and retain disabled, then it can be used in the "Time Series". 

After you have added all topics press the “Next” button.

<img src="media/image9.png" width="481" height="329" />

Select “Enable Last Will and Testament” and add devices/&lt;Device ID&gt;/messages/events/state to the “Fully hierarchical topic name”. Select “Retain” and leave the “Message” to Disconnected.

### Configure Data Exchange

On the “Data Processing” | “Exchange” page you now can configure the data which should be send over MQTT.

<img src="media/image10.png" width="624" height="440" />

Select as “Source Item” the data you want to transfer and as “Destination Item” the MQTT topic you want to use for sending it.

Test MQTT Connection and Exchange
=================================

Azure IoT Hub
-------------

If you now start the dataFEED application the MQTT messages will be send to the Azure IoT Hub.

You can see the received messages of the IoT Hub on the Azure portal.

<img src="media/image11.png" width="624" height="364" />

Device Explorer
---------------

With the Device Explorer you can connect to the IoT Hub and monitor the received data.

<img src="media/image12.png" width="516" height="378" />
