# Amazon Web Services (AWS)

## Prerequisites

In order to follow this example, an AWS Account is mandatory.  
A basic knowledge on AWS IoT Greengrass and Docker deployment is required.  
Also an gateway or machine, which is able to run docker containers like the Industrial Iot Starter Kit (IISK), is needed.

## How to get an Amazon AWS Account

Get an free-trial Amazon AWS account here: [Free AWS Account](https://aws.amazon.com/de/free/start-your-free-trial/)

## Running AWS IoT Greengrass in Docker

The following steps describe how to set up Industrial IoT Starter Kit to run AWS IoT Greengrass using docker environment.   
The Industrial IoT Starter Kit is delivered with a windows operating system, the fully licensed datafeed opc suite and docker desktop preinstalled.  
AWS IoT Greengrass ia able to run as docker container on the IISK.

## Official AWS Documentation
[Getting Started with AWS IoT Greengrass](https://docs.aws.amazon.com/greengrass/latest/developerguide/gg-gs.html) has a detailed step by step instruction what is needed to run AWS IoT Greengrass.  
The steps to run it in a docker container are outlined at [Running AWS IoT Greengrass in a Docker Container](https://docs.aws.amazon.com/greengrass/latest/developerguide/run-gg-in-docker-container.html)  

Follow the official documentation to get AWS IoT Greengrass running in a docker container.  

## Simplified Execution
A [Docker Image](https://hub.docker.com/r/optimizelgb/aws-greengrass-certification) that provides everything necessary for device certification can be run.  
Open a Powershell and execute `docker run -d --name greengrass --entrypoint /testsuite_ssh.sh -p 8883:8883 -p 22:22 optimizelgb/aws-greengrass-certification:tessuite2.20_aws1.10`

## Further AWS Reference

The following links provide further information regarding Amazon AWS:  
 * [Amazon AWS IoT Greengrass Documentation](https://docs.aws.amazon.com/en_us/greengrass/)  
 * [Amazon AWS IoT Core Documentation](https://docs.aws.amazon.com/iot/index.html)  
 * [Amazon AWS IoT Troubleshooting](https://docs.aws.amazon.com/iot/latest/developerguide/iot_troubleshooting.html)  


---

Continue reading with:  
    * [Table of Content](README.md#table-of-content)  


