# System prerequisites

The IISK has the following requirements to your network:

* The hostname of the IISK computer needs to be resolvable by a (local) domain name server (DNS). If your local domain name server does not resolve the hostname of the IISK computer, than the connected factory can not connect to the OPC UA endpoints of the IISK computer.

* The IISK computer needs a connection to the internet.
* Outgoing TCP traffic shall not be blocked by a firewall. 
* Ideally no http-proxy should be used for outgoing traffic.

# Compatibility

The following table shows the tested versions of dataFEED OPC Suite, iot-edge-opc-proxy, iot-edge-opc-publisher, Connected Factory and Docker which have been verified to work together. Other (newer) combinations may work also.

|               | dataFEED OPC Suite | iot-edge-opc-proxy | iot-edge-opc-publisher | Connected factory | Docker        |
| :------------ | -----------------: | -----------------: | ---------------------: | ----------------: | ------------: |
| Version       |      4.43.0.17800  |              1.0.3 |                  2.1.4 |        1.0.1712.0 | 17.12.0-ce-win47(15139) |
|               |      4.48.3.19477  |              1.0.4 |                  2.1.4 |        1.0.1810.0 |    2.0.0.0-win78(28905) |


# Known Issues

The following table provides links to the known issues of iot-edge-opc-proxy, iot-edge-opc-publisher and Connected Factory.  

| Component | Project Page | Open Issues | Solved Issues |
| :-------- | :----------- | :---------- | :------------ |
| iot-edge-opc-proxy     | [https://github.com/Azure/iot-edge-opc-proxy](https://github.com/Azure/iot-edge-opc-proxy) | [open](https://github.com/Azure/iot-edge-opc-proxy/issues) | [closed](https://github.com/Azure/iot-edge-opc-proxy/issues?q=is%3Aissue+is%3Aclosed) |
| iot-edge-opc-publisher | [https://github.com/Azure/iot-edge-opc-publisher](https://github.com/Azure/iot-edge-opc-publisher) | [open](https://github.com/Azure/iot-edge-opc-publisher/issues) | [closed](https://github.com/Azure/iot-edge-opc-publisher/issues?q=is%3Aissue+is%3Aclosed) |
| Connected Factory      | [https://github.com/Azure/azure-iot-connected-factory](https://github.com/Azure/azure-iot-connected-factory) | [open](https://github.com/Azure/azure-iot-connected-factory/issues) | [closed](https://github.com/Azure/azure-iot-connected-factory/issues?q=is%3Aissue+is%3Aclosed) |

---

Continue reading with:  
    * [Table of Content](README.md#table-of-content)  
    * [Microsoft Azure](azure.md#azure)  

