::# Sample shell script to start the publisher components on a gateway device.
::# This script assumes, that it runs on a Windows system

::# Please set the following variables to your local requirements:

::# Define your IoT-hub connection string without quotes
set _HUB_CS='replace with your connection string'

::# Set the docker shared root variable, so that the docker containers could access the files stored on your real drive:
::# In the example below, it is assumed, that drive C: is a shared drive for docker, and it contains the directory docker.
set DOCKER_SHARED_ROOT=//C/docker

::# Insert the IP address of the IISK computer:
set MYIP=10.123.45.27
::# Insert the hostname of the IISK computer:
set MYHOSTNAME=iisk
::# Insert the domain name with leading dot '.'. (If there is no domain name define the variable as empty string):
set MYDOMAINNAME=.example.com


::# The device name that is registered at the Azure IoT Hub (only lower case and no space allowed)
set DEVICENAME=proxy-iisk
::# The version tag of the iot-edge-opc-proxy
set PROXYVERSION=1.0.4
::# The name of the docker network
set DOCKER_NETWORK_NAME=iot_edge

set MYFQDN=%MYHOSTNAME%%MYDOMAINNAME%
set PUBHOSTNAME=publisher%MYDOMAINNAME%



docker network create -d bridge %DOCKER_NETWORK_NAME%
::# Initially run the publisher to register itself at the IoT-hub:
docker container stop proxy
docker container rm proxy
docker run -it --rm --name proxy --network %DOCKER_NETWORK_NAME% -v %DOCKER_SHARED_ROOT%:/mapped microsoft/iot-edge-opc-proxy:%PROXYVERSION% --name %DEVICENAME% -i -c "%_HUB_CS%" -D /mapped/cs.db

::# Run the proxy permanently, so that the connected factory could connect to OPC UA servers through the proxy tunnel:
docker run -it --restart always --name proxy --network %DOCKER_NETWORK_NAME% -v %DOCKER_SHARED_ROOT%:/mapped --add-host "%PUBHOSTNAME% %MYFQDN%":%MYIP% microsoft/iot-edge-opc-proxy:%PROXYVERSION% -D /mapped/cs.db
