::# Sample shell script to start the publisher components on a gateway device.
::# This script assumes, that it runs on a Windows system

::# Please set the following variables to your local requirements:

::# Define your IoT-hub connection string without quotes
set _HUB_CS='replace with your connection string'

::# Set the docker shared root variable, so that the docker containers could access the files stored on your real drive:
::# In the example below, it is assumed, that drive C: is a shared drive for docker, and it contains the directory docker.
set DOCKER_SHARED_ROOT=//C/docker

::# Insert the IP address of the IISK computer:
set MYIP=10.123.45.27
::# Insert the hostname of the IISK computer:
set MYHOSTNAME=iisk
::# Insert the domain name with leading dot '.'. (If there is no domain name define the variable as empty string):
set MYDOMAINNAME=.example.com


::# The version tag of the iot-edge-opc-publisher
set PUBLISHERVERSION=2.1.4
::# The name of the docker network
set DOCKER_NETWORK_NAME=iot_edge

set MYFQDN=%MYHOSTNAME%%MYDOMAINNAME%
set PUBHOSTNAME=publisher%MYDOMAINNAME%



docker container stop iot-edge-opc-publisher
docker container rm iot-edge-opc-publisher
docker network create -d bridge %DOCKER_NETWORK_NAME%

::# Run the publisher permanently, so that it is accessible by port 62222 from the "outside"
docker run -it --restart always --network %DOCKER_NETWORK_NAME% -h publisher --name iot-edge-opc-publisher -p 62222:62222 --add-host "%MYFQDN%":%MYIP% -v %DOCKER_SHARED_ROOT%:/docker -v myx509certstore:/root/.dotnet/corefx/cryptography/x509stores microsoft/iot-edge-opc-publisher:%PUBLISHERVERSION% %PUBHOSTNAME% "%_HUB_CS%" --lf ./publisher.log.txt --pf /docker/publishednodes.json --ih Http1 --as true --ns true --tm true --si 0 --ms 0 --trustedcertstorepath=/docker/CertificateStores/trusted --rejectedcertstorepath=/docker/CertificateStores/rejected

pause

